VULKAN_HPP_NAMESPACE::ExtensionNotPresentError Class Reference

`#include <vulkan.hpp>`

Inheritance diagram for VULKAN_HPP_NAMESPACE::ExtensionNotPresentError:
[legend]
Collaboration diagram for VULKAN_HPP_NAMESPACE::ExtensionNotPresentError:
[legend]

## Public Member Functions

| ExtensionNotPresentError (std::string const &message)
| ExtensionNotPresentError (char const *message)
Public Member Functions inherited from VULKAN_HPP_NAMESPACE::SystemError
| SystemError (std::error_code ec)
| SystemError (std::error_code ec, std::string const &what)
| SystemError (std::error_code ec, char const *what)
| SystemError (int ev, std::error_category const &ecat)
| SystemError (int ev, std::error_category const &ecat, std::string const &what)
| SystemError (int ev, std::error_category const &ecat, char const *what)
virtual | ~SystemError ()=default
virtual const char * | what () const noexcept
Public Member Functions inherited from VULKAN_HPP_NAMESPACE::Error
virtual | ~Error ()=default

## Detailed Description

Definition at line 803 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ExtensionNotPresentError() [1/2]

VULKAN_HPP_NAMESPACE::ExtensionNotPresentError::ExtensionNotPresentError | ( | std::string const & | message | ) |

inline

Definition at line 806 of file vulkan.hpp.

: SystemError( make_error_code( Result::eErrorExtensionNotPresent ), message ) {}

References VULKAN_HPP_NAMESPACE::eErrorExtensionNotPresent.

## ExtensionNotPresentError() [2/2]

VULKAN_HPP_NAMESPACE::ExtensionNotPresentError::ExtensionNotPresentError | ( | char const * | message | ) |

inline

Definition at line 808 of file vulkan.hpp.

: SystemError( make_error_code( Result::eErrorExtensionNotPresent ), message ) {}

References VULKAN_HPP_NAMESPACE::eErrorExtensionNotPresent.

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::Result::eErrorExtensionNotPresent
@ eErrorExtensionNotPresent
VULKAN_HPP_NAMESPACE::SystemError::SystemError
SystemError(std::error_code ec)
Definition: vulkan.hpp:734
message
GLuint GLsizei const GLchar * message
Definition: SDL_opengl_glext.h:2483
VULKAN_HPP_NAMESPACE::make_error_code
VULKAN_HPP_INLINE std::error_code make_error_code(Result e)
Definition: vulkan.hpp:697